package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.DevProcess;

import java.util.List;

/**
 * 能源设施工艺系统维Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-30
 */
public interface DevProcessMapper {
    /**
     * 查询能源设施工艺系统维
     *
     * @param id 能源设施工艺系统维主键
     * @return 能源设施工艺系统维
     */
    DevProcess selectDevProcessById(Long id);

    /**
     * 查询能源设施工艺系统维列表
     *
     * @param devProcess 能源设施工艺系统维
     * @return 能源设施工艺系统维集合
     */
    List<DevProcess> selectDevProcessList(DevProcess devProcess);

    /**
     * 新增能源设施工艺系统维
     *
     * @param devProcess 能源设施工艺系统维
     * @return 结果
     */
    int insertDevProcess(DevProcess devProcess);

    /**
     * 修改能源设施工艺系统维
     *
     * @param devProcess 能源设施工艺系统维
     * @return 结果
     */
    int updateDevProcess(DevProcess devProcess);

    /**
     * 删除能源设施工艺系统维
     *
     * @param id 能源设施工艺系统维主键
     * @return 结果
     */
    int deleteDevProcessById(Long id);

    /**
     * 批量删除能源设施工艺系统维
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDevProcessByIds(Long[] ids);
}
